Skip to main content
DELETE
/
matchmaker
/
matches
/
{id}
Delete a match
curl --request DELETE \
  --url https://backend.computeflow.cloud/matchmaker/matches/{id} \
  --header 'api-key: <api-key>'
{
  "message": "<string>",
  "match_id": "<string>",
  "matchmaker_id": "<string>",
  "player_count": 123,
  "tickets_cleaned": 123,
  "missing_ticket_count": 123,
  "server_id": "<string>"
}

Authorizations

api-key
string
header
required

Headers

api-key
string
required

API key for authentication

client-auth-token
string

Optional client authentication token for player validation

Path Parameters

id
string
required

ID of the match to delete

Query Parameters

matchmaker_name
string
required

Name of the matchmaker

matchmaker_id
string
required

Response

Match deleted and cleaned up successfully

message
string
match_id
string
matchmaker_id
string
player_count
integer

Number of players in the match that was deleted

tickets_cleaned
integer

Number of ticket references cleaned up

missing_ticket_count
integer

Number of players whose tickets were already missing

server_id
string